commit:     29a7bda6343d32b047a409b1afc739ea47c8b7b0
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 12 09:27:47 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Aug 12 09:32:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29a7bda6

dev-python/deprecation: bump to 2.0.6, add tests, PyPy{,3}, fix deps

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/deprecation/Manifest                 |  1 +
 dev-python/deprecation/deprecation-2.0.6.ebuild | 30 +++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/deprecation/Manifest b/dev-python/deprecation/Manifest
index cc33c1fa1da..d2de4799983 100644
--- a/dev-python/deprecation/Manifest
+++ b/dev-python/deprecation/Manifest
@@ -1 +1,2 @@
 DIST deprecation-1.0.1.tar.gz 9596 BLAKE2B 
afc4cb457ce224f120d41944e6eb71c212ef4d40d5a7c5d6d695d31bd105a4a5291daf5d3c7af0f94b58049f7e745e7e5be462495de88c48cabf5a28c22b3637
 SHA512 
fc35e6516e1617e2baad598a91e5d83ca95ab8a2d6a2753751d6752675de93cb44210109450a2aad9eb52b3c772a8b753c1d42ab2356c6663d2a03c4f779f086
+DIST deprecation-2.0.6.tar.gz 13381 BLAKE2B 
1f21a4b8bd9293d50e9068762d4f909afe02fb1f7a8f352c5b3d5d10e0da90d122927a97cf060bec626ff8538478f83740dc1d79e050fe43dc27ade8729f26d1
 SHA512 
69dcf5e07cfc1c746564e03063088cce65690e2b34cffe327d59edad24f00d23cf9904089ab9ff5e67dce2b6b02ed617e53959be4a907074440ddb778576aa2f

diff --git a/dev-python/deprecation/deprecation-2.0.6.ebuild 
b/dev-python/deprecation/deprecation-2.0.6.ebuild
new file mode 100644
index 00000000000..73bd41c2de6
--- /dev/null
+++ b/dev-python/deprecation/deprecation-2.0.6.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library to handle automated deprecations"
+HOMEPAGE="https://deprecation.readthedocs.io/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/packaging[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/unittest2[${PYTHON_USEDEP}]
+               ${RDEPEND}
+       )
+"
+
+python_test() {
+       "${EPYTHON}" -m unittest discover -v || die "tests failed with 
${EPYTHON}"
+}

Reply via email to